| Home | Libraries | People | FAQ | More

## Struct template inplace_max

boost::icl::inplace_max

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inplace_max :
      public boost::icl::identity_based_inplace_combine< Type >
    {
      // types
      typedef inplace_max< Type > type;

      // public member functions
      void operator()(Type &, const Type &) const;
    };

## Description

### `inplace_max` public member functions

1.     void operator()(Type & object, const Type & operand) const;